Page MenuHomePhabricator

Blockautopromote duration should be configurable per wiki
Closed, ResolvedPublic

Description

This is a following of rEABF27578d7ba00c44d480014341d5c456909797c1fa.

Blockautopromote duration should be configurable in the site config.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2019, 5:38 PM
DannyS712 claimed this task.Sep 1 2019, 6:03 PM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptSep 1 2019, 6:03 PM

Change 536755 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/AbuseFilter@master] Allow Blockautopromote duration to be configured for wikis.

https://gerrit.wikimedia.org/r/536755

Copying my comment from gerrit:

The duration of blocks can be configured both on a per-filter basis and via globals. But that's just because of historical reasons: previously, it was only configurable per-wiki, then we added per-filter customization, and the global setting became just the default value for the dropdown.

However, for other actions, I'd like to stick to a single config type: either per-wiki or per-filter. Having both is IMHO hard to maintain, and not much useful. Hence, I think we should discuss (on phab) the pros and cons of both approaches and determine which one we want for blockautopromote.

Given the nature of the 'blockautopromote' action, I think users won't need to customize the duration for every single filter. Thus, I tend to think that per-wiki would be the best choice. But I'm also fine with having both options, if there's a good reason to.

DannyS712 changed the task status from Open to Stalled.Sep 23 2019, 5:40 PM

Awaiting discussion on if it should be wiki-wide or filter-based

Awaiting discussion on if it should be wiki-wide or filter-based

@DannyS712: Where should this discussion take place and with whom? In Gerrit, here in Phab, on some wiki?
(Asking as I don't want tasks to be stalled for too long...)

Awaiting discussion on if it should be wiki-wide or filter-based

@DannyS712: Where should this discussion take place and with whom? In Gerrit, here in Phab, on some wiki?
(Asking as I don't want tasks to be stalled for too long...)

@Daimona said it should be discussed, and that it should be discussed here in phab

Huji added a subscriber: Huji.May 22 2020, 8:50 PM

I cannot think of a reason for blockautopromote duration to be different per filter. I think a per-wiki config is the correct choice here.

Ah, FWIW I still agree with my past self. Per-wiki seems a sensible choice.

Aklapper renamed this task from Blockautopromote duration should be configurable to Blockautopromote duration should be configurable per wiki.May 23 2020, 8:27 PM
Aklapper changed the task status from Stalled to Open.
Daimona moved this task from Backlog to Ideas for overhaul on the User-Daimona board.
Daimona updated the task description. (Show Details)Sep 16 2020, 12:04 PM

Change 536755 abandoned by Huji:
[mediawiki/extensions/AbuseFilter@master] Allow Blockautopromote duration to be configured for wikis.

Reason:

https://gerrit.wikimedia.org/r/536755

Change 536755 restored by Huji:
[mediawiki/extensions/AbuseFilter@master] Allow Blockautopromote duration to be configured for wikis.

https://gerrit.wikimedia.org/r/536755

Change 536755 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Allow Blockautopromote duration to be configured for wikis.

https://gerrit.wikimedia.org/r/536755

Johan added a subscriber: Johan.Sep 18 2020, 5:51 PM

This has been marked for inclusion in Tech News, but I'm not intimately familiar with the AbuseFilter extension. Is "blockautopromote" barring users from being added to auto-promoted groups? (And also revoking existing group memberships?) It's not actually related to blocking the user, as in barring them from editing the wiki?

This has been marked for inclusion in Tech News, but I'm not intimately familiar with the AbuseFilter extension. Is "blockautopromote" barring users from being added to auto-promoted groups? (And also revoking existing group memberships?) It's not actually related to blocking the user, as in barring them from editing the wiki?

Exactly what you said. For Tech News, the message should say that wikis may now ask for a different value (current is 5 days) by filing a task in Wikimedia-Site-requests. Thanks!

Daimona closed this task as Resolved.Sep 18 2020, 11:33 PM